#
# This file is part of GNU Enterprise.
#
# GNU Enterprise is free software; you can redistribute it
# and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either
# version 2, or (at your option) any later version.
#
# GNU Enterprise is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with program; see the file COPYING. If not,
# write to the Free Software Foundation, Inc., 59 Temple Place
# - Suite 330, Boston, MA 02111-1307, USA.
#
# Copyright 2000-2003 Free Software Foundation
#
# FILE:
# UIwxpython.py
#
# DESCRIPTION:
# A wxPython based user interface driver for GNUe forms.
#
# NOTES:
#
from wxPython.wx import *

from gnue.forms.uidrivers.wx.widgets._base import UIHelper


_alignmentStyle = { 'left'  : wxALIGN_LEFT|wxST_NO_AUTORESIZE,
                    'center': wxALIGN_CENTRE|wxST_NO_AUTORESIZE,
                    'right' : wxALIGN_RIGHT|wxST_NO_AUTORESIZE,
                    }




#
# UILabel
#
# Widget set specific function that creates a single instance of a label
#
class UILabel(UIHelper):

  def _createWidget(self, event, spacer):
    object = event.object
    style = _alignmentStyle[object.alignment]
    newWidget = wxStaticText(event.container, -1, str(object.text),
                             wxPoint(object.Char__x*event.widgetWidth,
                                     (object.Char__y+spacer+(spacer*object._gap))*event.widgetHeight),
                             wxSize(self.itemWidth,self.itemHeight), style)
    return newWidget

configuration = {
    'baseClass'  : UILabel,
    'provides'   : 'GFLabel',
    'container'  : 0,
    }
